commit abf0c77d007522a13139540d5285fd200aeb77cd
Author: Ondřej Váně <onry.vane@gmail.com>
Date:   Wed Apr 22 16:02:35 2020 +0200

    Re #7914: Zobrazení celého dokumentu na FE
    
    - přidána stránka browse-details, která zobrazuje detail dokumentu
    - přidána knihovna angular-x-image-viewer pro zobrazení obrázku
    - připravena metoda na volání BE
    - zatím je zde jeden obrázek natvrdo

diff --git a/fe/fulltextsearch/src/Utils.ts b/fe/fulltextsearch/src/Utils.ts
index 969811c..d520939 100644
--- a/fe/fulltextsearch/src/Utils.ts
+++ b/fe/fulltextsearch/src/Utils.ts
@@ -25,4 +25,8 @@ export default class Utils {
 
     return new Position(top, left);
   }
+
+  static getStringAfterLastChar(text: string, char: string): string {
+    return text.substr(text.lastIndexOf(char) + 1);
+  }
 }
diff --git a/fe/fulltextsearch/src/app/app-routing.module.ts b/fe/fulltextsearch/src/app/app-routing.module.ts
index 3269808..3aced35 100644
--- a/fe/fulltextsearch/src/app/app-routing.module.ts
+++ b/fe/fulltextsearch/src/app/app-routing.module.ts
@@ -5,12 +5,14 @@ import { SearchComponent } from './components/pages/search/search.component';
 import { BrowseComponent } from './components/pages/browse/browse.component';
 import { UploadComponent } from './components/pages/upload/upload.component';
 import { HelpComponent } from './components/pages/help/help.component';
+import { BrowseDetailsComponent } from './components/pages/browse/browse-details/browse-details.component';
 
 
 const routes: Routes = [
   { path: '', component: HomeComponent },
   { path: 'search', component: SearchComponent },
   { path: 'browse', component: BrowseComponent },
+  { path: 'browse/:img_name', component: BrowseDetailsComponent },
   { path: 'upload', component: UploadComponent },
   { path: 'help', component: HelpComponent },
 ];
diff --git a/fe/fulltextsearch/src/app/app.module.ts b/fe/fulltextsearch/src/app/app.module.ts
index ca8967c..adae009 100644
--- a/fe/fulltextsearch/src/app/app.module.ts
+++ b/fe/fulltextsearch/src/app/app.module.ts
@@ -30,6 +30,9 @@ import { LayoutModule } from '@angular/cdk/layout';
 import { MatSidenavModule } from '@angular/material/sidenav';
 import { MatListModule } from '@angular/material/list';
 import { DatePipe } from '@angular/common';
+import { BrowseDetailsComponent } from './components/pages/browse/browse-details/browse-details.component';
+import { ImageViewerModule } from 'ngx-image-viewer';
+import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
 
 @NgModule({
   declarations: [
@@ -44,6 +47,7 @@ import { DatePipe } from '@angular/common';
     AboutDialogComponent,
     SearchPaginatorComponent,
     MainNavComponent,
+    BrowseDetailsComponent
   ],
   imports: [
     BrowserModule,
@@ -62,7 +66,9 @@ import { DatePipe } from '@angular/common';
     MatDialogModule,
     LayoutModule,
     MatSidenavModule,
-    MatListModule
+    MatListModule,
+    ImageViewerModule.forRoot(),
+    FontAwesomeModule
   ],
   providers: [DataHolderService, DatePipe],
   bootstrap: [AppComponent]
diff --git a/fe/fulltextsearch/src/app/components/pages/browse/browse-details/browse-details.component.spec.ts b/fe/fulltextsearch/src/app/components/pages/browse/browse-details/browse-details.component.spec.ts
new file mode 100644
index 0000000..ada10a5
--- /dev/null
+++ b/fe/fulltextsearch/src/app/components/pages/browse/browse-details/browse-details.component.spec.ts
@@ -0,0 +1,25 @@
+import { async, ComponentFixture, TestBed } from '@angular/core/testing';
+
+import { BrowseDetailsComponent } from './browse-details.component';
+
+describe('BrowseDetailsComponent', () => {
+  let component: BrowseDetailsComponent;
+  let fixture: ComponentFixture<BrowseDetailsComponent>;
+
+  beforeEach(async(() => {
+    TestBed.configureTestingModule({
+      declarations: [ BrowseDetailsComponent ]
+    })
+    .compileComponents();
+  }));
+
+  beforeEach(() => {
+    fixture = TestBed.createComponent(BrowseDetailsComponent);
+    component = fixture.componentInstance;
+    fixture.detectChanges();
+  });
+
+  it('should create', () => {
+    expect(component).toBeTruthy();
+  });
+});
diff --git a/fe/fulltextsearch/src/app/services/query/query.service.ts b/fe/fulltextsearch/src/app/services/query/query.service.ts
index b274f36..9ad70ce 100644
--- a/fe/fulltextsearch/src/app/services/query/query.service.ts
+++ b/fe/fulltextsearch/src/app/services/query/query.service.ts
@@ -41,4 +41,8 @@ export class QueryService {
     return this.httpClient.get<DocumentResponse[]>(this.backendUrl + this.documentsUrl, httpOptions);
   }
 
+  getDocumentPictureByName(documentName: string): Observable<string> {
+    return this.httpClient.get<string>(this.backendUrl + this.documentsUrl + '/' + documentName, httpOptions);
+  }
+
 }
